
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>tools Package &mdash; pySAXS 77.September2012 documentation</title>
    
    <link rel="stylesheet" href="_static/pyramid.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '',
        VERSION:     '77.September2012',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="top" title="pySAXS 77.September2012 documentation" href="index.html" />
    <link rel="up" title="pySAXS Package" href="pySAXS.html" />
    <link rel="next" title="xraylib Package" href="pySAXS.xraylib.html" />
    <link rel="prev" title="super Package" href="pySAXS.models.super.html" />
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Neuton&amp;subset=latin" type="text/css" media="screen" charset="utf-8" />
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Nobile:regular,italic,bold,bolditalic&amp;subset=latin" type="text/css" media="screen" charset="utf-8" />
<!--[if lte IE 6]>
<link rel="stylesheet" href="_static/ie6.css" type="text/css" media="screen" charset="utf-8" />
<![endif]-->

  </head>
  <body>

    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pySAXS.xraylib.html" title="xraylib Package"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pySAXS.models.super.html" title="super Package"
             accesskey="P">previous</a> |</li>
        <li><a href="index.html">pySAXS 77.September2012 documentation</a> &raquo;</li>
          <li><a href="modules.html" >pySAXS</a> &raquo;</li>
          <li><a href="pySAXS.html" accesskey="U">pySAXS Package</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="tools-package">
<h1>tools Package<a class="headerlink" href="#tools-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="id1">
<h2><tt class="xref py py-mod docutils literal"><span class="pre">tools</span></tt> Package<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h2>
<span class="target" id="module-pySAXS.tools"></span></div>
<div class="section" id="module-pySAXS.tools.DetectPeaks">
<span id="detectpeaks-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">DetectPeaks</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.DetectPeaks" title="Permalink to this headline">¶</a></h2>
<dl class="function">
<dt id="pySAXS.tools.DetectPeaks.findPeaks">
<tt class="descclassname">pySAXS.tools.DetectPeaks.</tt><tt class="descname">findPeaks</tt><big>(</big><em>x</em>, <em>y</em>, <em>pp</em>, <em>percent</em>, <em>printout=None</em>, <em>method='gaussian'</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/DetectPeaks.html#findPeaks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.DetectPeaks.findPeaks" title="Permalink to this definition">¶</a></dt>
<dd><p>find peaks on x,y datas
return array aof founds peaks [center position, max,fwhm], x, and y of fitted datas</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.DetectPeaks.fitPeakWithGaussian">
<tt class="descclassname">pySAXS.tools.DetectPeaks.</tt><tt class="descname">fitPeakWithGaussian</tt><big>(</big><em>x</em>, <em>y</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/DetectPeaks.html#fitPeakWithGaussian"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.DetectPeaks.fitPeakWithGaussian" title="Permalink to this definition">¶</a></dt>
<dd><p>fit peak with a gaussian
x, and y are the datas,
return result for fit as list [height,fwhm,center,zero],x, and fitted y</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.DetectPeaks.fitPeakWithTrapez">
<tt class="descclassname">pySAXS.tools.DetectPeaks.</tt><tt class="descname">fitPeakWithTrapez</tt><big>(</big><em>x</em>, <em>y</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/DetectPeaks.html#fitPeakWithTrapez"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.DetectPeaks.fitPeakWithTrapez" title="Permalink to this definition">¶</a></dt>
<dd><p>fit peaks with trapez
x, and y are the datas,
return result for fit as list [height,fwhm,center,zero],x, and fitted y</p>
</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.ProgressBarText">
<span id="progressbartext-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">ProgressBarText</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.ProgressBarText" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="pySAXS.tools.ProgressBarText.progressbarClass">
<em class="property">class </em><tt class="descclassname">pySAXS.tools.ProgressBarText.</tt><tt class="descname">progressbarClass</tt><big>(</big><em>finalcount</em>, <em>progresschar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarText.html#progressbarClass"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarText.progressbarClass" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="pySAXS.tools.ProgressBarText.progressbarClass.progress">
<tt class="descname">progress</tt><big>(</big><em>count</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarText.html#progressbarClass.progress"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarText.progressbarClass.progress" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.ProgressBarView">
<span id="progressbarview-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">ProgressBarView</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.ProgressBarView" title="Permalink to this headline">¶</a></h2>
<p>A  basic widget for showing the progress being made in a task.</p>
<dl class="class">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView">
<em class="property">class </em><tt class="descclassname">pySAXS.tools.ProgressBarView.</tt><tt class="descname">ProgressBarView</tt><big>(</big><em>master=None</em>, <em>orientation='horizontal'</em>, <em>min=0</em>, <em>max=100</em>, <em>width=100</em>, <em>height=None</em>, <em>doLabel=1</em>, <em>appearance=None</em>, <em>fillColor=None</em>, <em>background=None</em>, <em>labelColor=None</em>, <em>labelFont=None</em>, <em>labelText=''</em>, <em>labelFormat='%d%%'</em>, <em>value=0.1</em>, <em>bd=2</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView.grid">
<tt class="descname">grid</tt><big>(</big><em>*args</em>, <em>**kw</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView.grid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView.grid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView.onResize">
<tt class="descname">onResize</tt><big>(</big><em>event</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView.onResize"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView.onResize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView.pack">
<tt class="descname">pack</tt><big>(</big><em>*args</em>, <em>**kw</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView.pack"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView.pack" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView.update">
<tt class="descname">update</tt><big>(</big><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView.update"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView.update" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pySAXS.tools.ProgressBarView.ProgressBarView.updateProgress">
<tt class="descname">updateProgress</tt><big>(</big><em>newValue</em>, <em>newMax=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/ProgressBarView.html#ProgressBarView.updateProgress"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.ProgressBarView.ProgressBarView.updateProgress" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.fileimage">
<span id="fileimage-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">fileimage</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.fileimage" title="Permalink to this headline">¶</a></h2>
<p>project : pySAXS
description : functions for opening detectors data file
authors : Olivier Tache
Last changes :</p>
<blockquote>
<div>08-03-2007 OT : port to pySAXS library
lsqkjdqlskdjlqksd</div></blockquote>
<dl class="function">
<dt id="pySAXS.tools.fileimage.ConvertToSpe">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">ConvertToSpe</tt><big>(</big><em>filenameIn</em>, <em>filenameOut</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#ConvertToSpe"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.ConvertToSpe" title="Permalink to this definition">¶</a></dt>
<dd><p>convert a data file into SPE file</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFile">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFile</tt><big>(</big><em>filename</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFile" title="Permalink to this definition">¶</a></dt>
<dd><p>ouvre le fichier image filename et retourne un tableau</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileGEL">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileGEL</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileGEL"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileGEL" title="Permalink to this definition">¶</a></dt>
<dd><p>open GEL ImageQuant data file
Molecular Dynamics</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileMP">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileMP</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileMP"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileMP" title="Permalink to this definition">¶</a></dt>
<dd><p>open gas detector MP file
FASTCOM format</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileMPA3">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileMPA3</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileMPA3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileMPA3" title="Permalink to this definition">¶</a></dt>
<dd><p>open gas detector MP3 file
ascii files
FASTCOM format</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileMPA3_DAT">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileMPA3_DAT</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileMPA3_DAT"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileMPA3_DAT" title="Permalink to this definition">¶</a></dt>
<dd><p>open gas detector MP3 file
Binary datas
FASTCOM format</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileSPE">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileSPE</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileSPE"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileSPE" title="Permalink to this definition">¶</a></dt>
<dd><p>open SPE Winview data file
Ropper Scientific</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.OpenFileTIF">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">OpenFileTIF</tt><big>(</big><em>fname</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#OpenFileTIF"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.OpenFileTIF" title="Permalink to this definition">¶</a></dt>
<dd><p>open tiff data file</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.WriteFileSPE">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">WriteFileSPE</tt><big>(</big><em>fname</em>, <em>data</em>, <em>progressbar=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#WriteFileSPE"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.WriteFileSPE" title="Permalink to this definition">¶</a></dt>
<dd><p>write SPE Winview data file
Ropper Scientific</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.fileimage.importFit2D">
<tt class="descclassname">pySAXS.tools.fileimage.</tt><tt class="descname">importFit2D</tt><big>(</big><em>filename=''</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/fileimage.html#importFit2D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.fileimage.importFit2D" title="Permalink to this definition">¶</a></dt>
<dd><p>import Fit2D Chi file
after radial averaging
create a rgr file for excel (ascii format)</p>
</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.filetools">
<span id="filetools-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">filetools</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.filetools" title="Permalink to this headline">¶</a></h2>
<p>general tools for files manipulation</p>
<dl class="function">
<dt id="pySAXS.tools.filetools.fileExist">
<tt class="descclassname">pySAXS.tools.filetools.</tt><tt class="descname">fileExist</tt><big>(</big><em>finename</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/filetools.html#fileExist"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.filetools.fileExist" title="Permalink to this definition">¶</a></dt>
<dd><p>check if a file exist</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.filetools.getExtension">
<tt class="descclassname">pySAXS.tools.filetools.</tt><tt class="descname">getExtension</tt><big>(</big><em>filename</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/filetools.html#getExtension"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.filetools.getExtension" title="Permalink to this definition">¶</a></dt>
<dd><p>return extension from filename</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.filetools.getFilename">
<tt class="descclassname">pySAXS.tools.filetools.</tt><tt class="descname">getFilename</tt><big>(</big><em>filename</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/filetools.html#getFilename"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.filetools.getFilename" title="Permalink to this definition">¶</a></dt>
<dd><p>return name from filename without directory structure</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.filetools.importArray">
<tt class="descclassname">pySAXS.tools.filetools.</tt><tt class="descname">importArray</tt><big>(</big><em>filename</em>, <em>linestoskip=None</em>, <em>separator='\t'</em>, <em>cols=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/filetools.html#importArray"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.filetools.importArray" title="Permalink to this definition">¶</a></dt>
<dd><p>import a file into a
numeric float array
skipping lines beginning by #</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.filetools.listFiles">
<tt class="descclassname">pySAXS.tools.filetools.</tt><tt class="descname">listFiles</tt><big>(</big><em>paths</em>, <em>file</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/filetools.html#listFiles"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.filetools.listFiles" title="Permalink to this definition">¶</a></dt>
<dd><p>Searches a path for a specified file.
ListFile(&#8220;c:data&#8221;,*.rgr&#8221;) return a list with file <a href="#id2"><span class="problematic" id="id3">*</span></a>.rgr</p>
</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.isNumeric">
<span id="isnumeric-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">isNumeric</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.isNumeric" title="Permalink to this headline">¶</a></h2>
<p>tools package for numbers</p>
<dl class="function">
<dt id="pySAXS.tools.isNumeric.isNumeric">
<tt class="descclassname">pySAXS.tools.isNumeric.</tt><tt class="descname">isNumeric</tt><big>(</big><em>val</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/isNumeric.html#isNumeric"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.isNumeric.isNumeric" title="Permalink to this definition">¶</a></dt>
<dd><p>return true if val is a numeric value</p>
</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.progressBarBinding">
<span id="progressbarbinding-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">progressBarBinding</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.progressBarBinding" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="pySAXS.tools.progressBarBinding.ProgressBarB">
<em class="property">class </em><tt class="descclassname">pySAXS.tools.progressBarBinding.</tt><tt class="descname">ProgressBarB</tt><big>(</big><em>type=None</em>, <em>object=None</em>, <em>max=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/progressBarBinding.html#ProgressBarB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.progressBarBinding.ProgressBarB" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="pySAXS.tools.progressBarBinding.ProgressBarB.initialize">
<tt class="descname">initialize</tt><big>(</big><em>max</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/progressBarBinding.html#ProgressBarB.initialize"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.progressBarBinding.ProgressBarB.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pySAXS.tools.progressBarBinding.ProgressBarB.progress">
<tt class="descname">progress</tt><big>(</big><em>value</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/progressBarBinding.html#ProgressBarB.progress"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.progressBarBinding.ProgressBarB.progress" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-pySAXS.tools.xmltools">
<span id="xmltools-module"></span><h2><tt class="xref py py-mod docutils literal"><span class="pre">xmltools</span></tt> Module<a class="headerlink" href="#module-pySAXS.tools.xmltools" title="Permalink to this headline">¶</a></h2>
<dl class="function">
<dt id="pySAXS.tools.xmltools.convertText">
<tt class="descclassname">pySAXS.tools.xmltools.</tt><tt class="descname">convertText</tt><big>(</big><em>text</em>, <em>datatype=None</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/xmltools.html#convertText"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.xmltools.convertText" title="Permalink to this definition">¶</a></dt>
<dd><p>convert text with datatype</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.xmltools.data2XMLfile">
<tt class="descclassname">pySAXS.tools.xmltools.</tt><tt class="descname">data2XMLfile</tt><big>(</big><em>object</em>, <em>filename</em>, <em>name=''</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/xmltools.html#data2XMLfile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.xmltools.data2XMLfile" title="Permalink to this definition">¶</a></dt>
<dd><p>save data into XML file</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.xmltools.data2string">
<tt class="descclassname">pySAXS.tools.xmltools.</tt><tt class="descname">data2string</tt><big>(</big><em>arr</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/xmltools.html#data2string"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.xmltools.data2string" title="Permalink to this definition">¶</a></dt>
<dd><p>return a string from an array separated with comma</p>
<p>[1.2 2.3 ...] -&gt; &#8220;1.2 2.3 &#8220;</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.xmltools.getDatatype">
<tt class="descclassname">pySAXS.tools.xmltools.</tt><tt class="descname">getDatatype</tt><big>(</big><em>obj</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/xmltools.html#getDatatype"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.xmltools.getDatatype" title="Permalink to this definition">¶</a></dt>
<dd><p>return type of object in string without &lt; &gt;</p>
</dd></dl>

<dl class="function">
<dt id="pySAXS.tools.xmltools.string2data">
<tt class="descclassname">pySAXS.tools.xmltools.</tt><tt class="descname">string2data</tt><big>(</big><em>st</em><big>)</big><a class="reference internal" href="_modules/pySAXS/tools/xmltools.html#string2data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pySAXS.tools.xmltools.string2data" title="Permalink to this definition">¶</a></dt>
<dd><p>return a array containing datas from string</p>
</dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">tools Package</a><ul>
<li><a class="reference internal" href="#id1"><tt class="docutils literal"><span class="pre">tools</span></tt> Package</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.DetectPeaks"><tt class="docutils literal"><span class="pre">DetectPeaks</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.ProgressBarText"><tt class="docutils literal"><span class="pre">ProgressBarText</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.ProgressBarView"><tt class="docutils literal"><span class="pre">ProgressBarView</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.fileimage"><tt class="docutils literal"><span class="pre">fileimage</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.filetools"><tt class="docutils literal"><span class="pre">filetools</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.isNumeric"><tt class="docutils literal"><span class="pre">isNumeric</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.progressBarBinding"><tt class="docutils literal"><span class="pre">progressBarBinding</span></tt> Module</a></li>
<li><a class="reference internal" href="#module-pySAXS.tools.xmltools"><tt class="docutils literal"><span class="pre">xmltools</span></tt> Module</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="pySAXS.models.super.html"
                        title="previous chapter">super Package</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pySAXS.xraylib.html"
                        title="next chapter">xraylib Package</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pySAXS.xraylib.html" title="xraylib Package"
             >next</a> |</li>
        <li class="right" >
          <a href="pySAXS.models.super.html" title="super Package"
             >previous</a> |</li>
        <li><a href="index.html">pySAXS 77.September2012 documentation</a> &raquo;</li>
          <li><a href="modules.html" >pySAXS</a> &raquo;</li>
          <li><a href="pySAXS.html" >pySAXS Package</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2012, CEA - IRAMIS - LIONS.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.1.3.
    </div>
  </body>
</html>